VRENDER_PROTO_CACHE_NOTIFY_FUNC(3)

PROTO_FUNC
vrender_PROTO_cache_notify_func - Cache computed callback.

SYNOPSIS
#include <karma_vrender.h>

void vrender_PROTO_cache_notify_func

(KVolumeRenderContext context, void **info, uaddr eyes)

DESCRIPTION
This routine is called when the cache for one or more eye views is computed.

context
    The volume render context.

info
    A pointer to the arbitrary information pointer.

eyes
    A bitmask specifying which eye views to compute. The bitmask may be constructed by ORing some values. See <-vrender_EYE_MASKS-> for a list of masks.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/